شما هنوز به سیستم وارد نشده اید.

#1 2016-11-02 23:56:49

بهروز رمضانی
عضو
از : اصفهان
ثبت شده: 2015-09-16
ارسال ها: 193
وب سایت

عدم نصب openoffice

سلام
قصد دارم اوپن افیس را نصب کنم. اما ارور میده.

[behrooz@Lenovo-G500 ~]$ torify yaourt -S openoffice

==> Downloading openoffice PKGBUILD from AUR...
x .SRCINFO
x PKGBUILD
x openoffice.install
DrMartinus commented on 2015-10-04 04:08			 
Hi,

one more request - could you also include the package for KDE integration? That would be great...

tuxflo commented on 2015-11-01 12:06			 
Package not working here, downloaded package size is jut 46kB:

== Retrieving sources...
- Downloading Apache_OpenOffice_4.1.2_Linux_x86-64_install-rpm_en-US.tar.gz...
% Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
Dload  Upload   Total   Spent    Left  Speed
0   552    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
100 48588  100 48588    0     0  45322      0  0:00:01  0:00:01 --:--:--  225k
== Validating source files with sha256sums...
Apache_OpenOffice_4.1.2_Linux_x86-64_install-rpm_en-US.tar.gz ... FAILED
== ERROR: One or more files did not pass the validity check!

SibrenVasse commented on 2015-11-01 13:22			 
The package downloads fine here. Can you try to download the file manually and see why it fails?

tuxflo commented on 2015-11-03 09:38			 
Downloading the file manually works. I'm seeing this issue on some other sourceforge hosted packages too. Maybe it is an problem with sourceforge.

sergey.orloff commented on 2016-09-09 07:20			 
Hello Sibren Vasse, thank you for making this package!

To install the Russian version of I'm a little touched up these files:
.SRCINFO
source = http://downloads.sourceforge.net/project/openofficeorg.mirror/4.1.2/binaries/ru/
PKGBUILD
_lang='ru'
sha256sums[0]='3140383c0c2662fd0475b3895f2ee66f9c157ebe59e216bb9f98af75303fc9cf'
sha256sums[0]='08dd63be16ffd772bc4de8c63e7a5d349f61b888802c42599ce4e6b42cbeeff3'

And remove the dictionaries of the dependencies:
.SRCINFO
optdepends = openoffice-de-bin: adds additional German language pack
optdepends = openoffice-nl-bin: adds additional Dutch language pack
PKGBUILD
'openoffice-de-bin:  adds additional German language pack'
'openoffice-nl-bin:  adds additional Dutch language pack'

I hope it will be useful to Russian-speaking users. Thank you!

openoffice 4.1.2-1  (2015-10-30 19:30)
This package is orphaned
( Unsupported package: Potentially dangerous ! )
==> Edit PKGBUILD ? [Y/n] ("A" to abort)
==> ------------------------------------
==> n

==> openoffice dependencies:
 - freetype2 (already installed)
 - glibc>=2.5 (already installed)
 - gtk2>=2.10.4 (already installed)
 - hicolor-icon-theme (already installed)
 - desktop-file-utils (already installed)
 - shared-mime-info (already installed)
 - rpmextract (already installed) [makedepend]


==> Edit openoffice.install ? [Y/n] ("A" to abort)
==> ----------------------------------------------
==> y

Please add $VISUAL to your environment variables
for example:
export VISUAL="vim" (in ~/.bashrc)
(replace vim with your favorite editor)

==> Edit openoffice.install with:  vim

==> Continue building openoffice ? [Y/n]
==> ------------------------------------
==> y

==> Building and installing package
==> Making package: openoffice 4.1.2-1 (Wed Nov  2 22:32:52 IRST 2016)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
  -> Downloading Apache_OpenOffice_4.1.2_Linux_x86-64_install-rpm_en-US.tar.gz...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
  0   485    0     0    0     0      0      0 --:--:--  0:00:04 --:--:--     0
100  153M  100  153M    0     0   175k      0  0:14:58  0:14:58 --:--:--  411k
==> Validating source files with sha256sums...
    Apache_OpenOffice_4.1.2_Linux_x86-64_install-rpm_en-US.tar.gz ... Passed
==> Extracting sources...
  -> Extracting Apache_OpenOffice_4.1.2_Linux_x86-64_install-rpm_en-US.tar.gz with bsdtar
==> Entering fakeroot environment...
==> Starting package()...
  -> Skipping openoffice4.1.2-redhat-menus-4.1.2-9782.noarch.rpm
  -> Skipping openoffice4.1.2-mandriva-menus-4.1.2-9782.noarch.rpm
  -> Skipping openoffice4.1.2-suse-menus-4.1.2-9782.noarch.rpm
  -> Extracting openoffice-en-US-calc-4.1.2-9782.x86_64.rpm
  -> Extracting openoffice-graphicfilter-4.1.2-9782.x86_64.rpm
  -> Extracting openoffice-en-US-4.1.2-9782.x86_64.rpm
  -> Extracting openoffice-en-US-help-4.1.2-9782.x86_64.rpm
  -> Extracting openoffice-core07-4.1.2-9782.x86_64.rpm
  -> Extracting openoffice-brand-base-4.1.2-9782.x86_64.rpm
  -> Extracting openoffice-draw-4.1.2-9782.x86_64.rpm
  -> Extracting openoffice-core03-4.1.2-9782.x86_64.rpm
  -> Extracting openoffice-core06-4.1.2-9782.x86_64.rpm
  -> Extracting openoffice-ooolinguistic-4.1.2-9782.x86_64.rpm
  -> Extracting openoffice-ogltrans-4.1.2-9782.x86_64.rpm
  -> Extracting openoffice-math-4.1.2-9782.x86_64.rpm
  -> Extracting openoffice-gnome-integration-4.1.2-9782.x86_64.rpm
  -> Extracting openoffice-brand-writer-4.1.2-9782.x86_64.rpm
  -> Extracting openoffice-en-US-draw-4.1.2-9782.x86_64.rpm
  -> Extracting openoffice-impress-4.1.2-9782.x86_64.rpm
  -> Extracting openoffice-brand-draw-4.1.2-9782.x86_64.rpm
  -> Extracting openoffice-ooofonts-4.1.2-9782.x86_64.rpm
  -> Extracting openoffice-en-US-impress-4.1.2-9782.x86_64.rpm
  -> Extracting openoffice-brand-impress-4.1.2-9782.x86_64.rpm
  -> Extracting openoffice-en-US-res-4.1.2-9782.x86_64.rpm
  -> Extracting openoffice-core05-4.1.2-9782.x86_64.rpm
  -> Extracting openoffice-en-US-base-4.1.2-9782.x86_64.rpm
  -> Extracting openoffice-onlineupdate-4.1.2-9782.x86_64.rpm
  -> Extracting openoffice-core02-4.1.2-9782.x86_64.rpm
  -> Extracting openoffice-brand-en-US-4.1.2-9782.x86_64.rpm
  -> Extracting openoffice-calc-4.1.2-9782.x86_64.rpm
  -> Extracting openoffice4.1.2-freedesktop-menus-4.1.2-9782.noarch.rpm
  -> Extracting openoffice-en-US-math-4.1.2-9782.x86_64.rpm
  -> Extracting openoffice-en-US-writer-4.1.2-9782.x86_64.rpm
  -> Extracting openoffice-4.1.2-9782.x86_64.rpm
  -> Extracting openoffice-writer-4.1.2-9782.x86_64.rpm
  -> Extracting openoffice-brand-calc-4.1.2-9782.x86_64.rpm
  -> Extracting openoffice-javafilter-4.1.2-9782.x86_64.rpm
  -> Extracting openoffice-images-4.1.2-9782.x86_64.rpm
  -> Extracting openoffice-pyuno-4.1.2-9782.x86_64.rpm
  -> Extracting openoffice-ure-4.1.2-9782.x86_64.rpm
  -> Extracting openoffice-base-4.1.2-9782.x86_64.rpm
  -> Extracting openoffice-core01-4.1.2-9782.x86_64.rpm
  -> Extracting openoffice-core04-4.1.2-9782.x86_64.rpm
  -> Extracting openoffice-xsltfilter-4.1.2-9782.x86_64.rpm
  -> Extracting openoffice-brand-math-4.1.2-9782.x86_64.rpm
  -> Completing package
==> Note: For checking the package, you may run: namcap -e elfpaths,emptydir openoffice-4.1.2-1-x86_64.pkg.tar.?z
==> Tidying install...
  -> Removing libtool files...
  -> Purging unwanted files...
  -> Removing static library files...
  -> Compressing man and info pages...
==> Checking for packaging issue...
==> Creating package "openoffice"...
  -> Generating .PKGINFO file...
  -> Generating .BUILDINFO file...
  -> Adding install file...
  -> Generating .MTREE file...
  -> Compressing package...
==> Leaving fakeroot environment.
==> Finished making: openoffice 4.1.2-1 (Wed Nov  2 22:51:45 IRST 2016)
==> Cleaning up...

==> Continue installing openoffice ? [Y/n]
==> [v]iew package contents [c]heck package with namcap
==> ---------------------------------------------------
==> y

/usr/lib/yaourt/util.sh: line 126: /usr/bin/su: Operation not permitted
/usr/lib/yaourt/util.sh: line 126: /usr/bin/su: Operation not permitted
/usr/lib/yaourt/util.sh: line 126: /usr/bin/su: Operation not permitted
==> WARNING: Your packages are saved in /tmp/yaourt-tmp-behrooz
cp: overwrite '/tmp/yaourt-tmp-behrooz/openoffice-4.1.2-1-x86_64.pkg.tar.xz'? y
[behrooz@Lenovo-G500 ~]$ 

در یادگیری و استفاده از خط فرمان کوشا باشید چرا که رستگاری شما در آن است.

آفلاین

#2 2016-11-03 00:28:10

TUX
عضو
ثبت شده: 2016-01-31
ارسال ها: 86

پاسخ: عدم نصب openoffice

قبلن خیلی خوب بود، الان هیچ برتری ای نسبت به لیبره آفیس نداره، از وقتی به بنیاد نرمافزار آپاچی واگذار شده توسعه اش خیلی کند شده، پیشنهادم نصب لیبره آفیس، دردسر کامپایل مجدد از aur بعد از انتشار هر آپدیت رو هم نداره

آفلاین

#3 2016-11-03 00:31:32

بهروز رمضانی
عضو
از : اصفهان
ثبت شده: 2015-09-16
ارسال ها: 193
وب سایت

پاسخ: عدم نصب openoffice

TUX نوشته است که:

قبلن خیلی خوب بود، الان هیچ برتری ای نسبت به لیبره آفیس نداره، از وقتی به بنیاد نرمافزار آپاچی واگذار شده توسعه اش خیلی کند شده، پیشنهادم نصب لیبره آفیس، دردسر کامپایل مجدد از aur بعد از انتشار هر آپدیت رو هم نداره

ظاهرا رندر فونت ها را بهتر از لیبره افیس انجام میده


در یادگیری و استفاده از خط فرمان کوشا باشید چرا که رستگاری شما در آن است.

آفلاین

#4 2016-11-03 00:33:10

Arcush
Moderator
ثبت شده: 2015-09-15
ارسال ها: 1,328

پاسخ: عدم نصب openoffice

دو روش مرسوم برای حل این خطا در ارسال های شماره ۳ و ۵ در اینجا ذکر شدن:
https://bbs.archlinux.org/viewtopic.php?id=178626

آفلاین

#5 2016-11-03 00:50:56

TUX
عضو
ثبت شده: 2016-01-31
ارسال ها: 86

پاسخ: عدم نصب openoffice

تو لیبره آفیس این فایلها رو ویرایش کنید

 /etc/profile.d/libreoffice-still.sh
/etc/profile.d/libreoffice-still.csh 

محتویاتش

#export SAL_USE_VCLPLUGIN=gen
#export SAL_USE_VCLPLUGIN=kde4
#export SAL_USE_VCLPLUGIN=gtk
#export SAL_USE_VCLPLUGIN=gtk3

برای امتحان شماره سوم رو از کامنت خارج کنید و سیستم رو ری استارت

آخرین ویرایش توسط TUX (2016-11-03 01:02:24)

آفلاین

#6 2016-11-03 01:00:47

Риал Краесис
عضو
از : تهران
ثبت شده: 2015-09-16
ارسال ها: 318

پاسخ: عدم نصب openoffice

چرا دسترسی su میخواد؟؟؟؟


*** I FIGHT FOR USERS ***

آفلاین

پانوشت انجمن

پشتیبانی توسط تیم آرچ لینوکس ایران و نیرو گرفته با FluxBB